package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 政策信息对象 tgjj_zcxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjZcxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 单位缴存比例上限 */
    @Excel(name = "单位缴存比例上限")
    private BigDecimal DWJCBLSX;

    /** 单位缴存比例下限 */
    @Excel(name = "单位缴存比例下限")
    private BigDecimal DWJCBLXX;

    /** 个人缴存比例上限 */
    @Excel(name = "个人缴存比例上限")
    private BigDecimal GRJCBLSX;

    /** 个人缴存比例下限 */
    @Excel(name = "个人缴存比例下限")
    private BigDecimal GRJCBLXX;

    /** 月缴存额上限 */
    @Excel(name = "月缴存额上限")
    private BigDecimal YJCESX;

    /** 月缴存额下限 */
    @Excel(name = "月缴存额下限")
    private BigDecimal YJCEXX;

    /** 个人住房贷款最长年限 */
    @Excel(name = "个人住房贷款最长年限")
    private Long GRZFDKZCNX;

    /** 个人住房贷款最高额度 */
    @Excel(name = "个人住房贷款最高额度")
    private BigDecimal GRZFDKZGED;

    /** 个人住房贷款最高贷款比例 */
    @Excel(name = "个人住房贷款最高贷款比例")
    private BigDecimal GRZFDKZGDKBL;

    /** 项目贷款最长年限 */
    @Excel(name = "项目贷款最长年限")
    private Long XMDKZCNX;

    /** 项目贷款最高贷款比例 */
    @Excel(name = "项目贷款最高贷款比例")
    private BigDecimal XMDKZGDKBL;

    /** 单缴存职工个人最高贷款额度 */
    @Excel(name = "单缴存职工个人最高贷款额度")
    private BigDecimal DJCZGZGDKED;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 缴存基数上限 */
    @Excel(name = "缴存基数上限")
    private BigDecimal JCJSSX;

    /** 缴存基数下限 */
    @Excel(name = "缴存基数下限")
    private BigDecimal JCJSXX;

    /** 个人住房贷款月供收入比上限 */
    @Excel(name = "个人住房贷款月供收入比上限")
    private BigDecimal GRZFDKYGSR;

    /** 申请个人住房贷款时应满足的连续足额缴存月数 */
    @Excel(name = "申请个人住房贷款时应满足的连续足额缴存月数")
    private Long DKJCYS;

    /** 租房提取时应满足的连续足额缴存月数 */
    @Excel(name = "租房提取时应满足的连续足额缴存月数")
    private Long ZFTQJCYS;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型（LIST1|插入/2|更新/3|删除/） */
    @Excel(name = "处理类型", readConverterExp = "L=IST1|插入/2|更新/3|删除/")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDWJCBLSX(BigDecimal DWJCBLSX)
    {
        this.DWJCBLSX = DWJCBLSX;
    }

    public BigDecimal getDWJCBLSX()
    {
        return DWJCBLSX;
    }
    public void setDWJCBLXX(BigDecimal DWJCBLXX)
    {
        this.DWJCBLXX = DWJCBLXX;
    }

    public BigDecimal getDWJCBLXX()
    {
        return DWJCBLXX;
    }
    public void setGRJCBLSX(BigDecimal GRJCBLSX)
    {
        this.GRJCBLSX = GRJCBLSX;
    }

    public BigDecimal getGRJCBLSX()
    {
        return GRJCBLSX;
    }
    public void setGRJCBLXX(BigDecimal GRJCBLXX)
    {
        this.GRJCBLXX = GRJCBLXX;
    }

    public BigDecimal getGRJCBLXX()
    {
        return GRJCBLXX;
    }
    public void setYJCESX(BigDecimal YJCESX)
    {
        this.YJCESX = YJCESX;
    }

    public BigDecimal getYJCESX()
    {
        return YJCESX;
    }
    public void setYJCEXX(BigDecimal YJCEXX)
    {
        this.YJCEXX = YJCEXX;
    }

    public BigDecimal getYJCEXX()
    {
        return YJCEXX;
    }
    public void setGRZFDKZCNX(Long GRZFDKZCNX)
    {
        this.GRZFDKZCNX = GRZFDKZCNX;
    }

    public Long getGRZFDKZCNX()
    {
        return GRZFDKZCNX;
    }
    public void setGRZFDKZGED(BigDecimal GRZFDKZGED)
    {
        this.GRZFDKZGED = GRZFDKZGED;
    }

    public BigDecimal getGRZFDKZGED()
    {
        return GRZFDKZGED;
    }
    public void setGRZFDKZGDKBL(BigDecimal GRZFDKZGDKBL)
    {
        this.GRZFDKZGDKBL = GRZFDKZGDKBL;
    }

    public BigDecimal getGRZFDKZGDKBL()
    {
        return GRZFDKZGDKBL;
    }
    public void setXMDKZCNX(Long XMDKZCNX)
    {
        this.XMDKZCNX = XMDKZCNX;
    }

    public Long getXMDKZCNX()
    {
        return XMDKZCNX;
    }
    public void setXMDKZGDKBL(BigDecimal XMDKZGDKBL)
    {
        this.XMDKZGDKBL = XMDKZGDKBL;
    }

    public BigDecimal getXMDKZGDKBL()
    {
        return XMDKZGDKBL;
    }
    public void setDJCZGZGDKED(BigDecimal DJCZGZGDKED)
    {
        this.DJCZGZGDKED = DJCZGZGDKED;
    }

    public BigDecimal getDJCZGZGDKED()
    {
        return DJCZGZGDKED;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setJCJSSX(BigDecimal JCJSSX)
    {
        this.JCJSSX = JCJSSX;
    }

    public BigDecimal getJCJSSX()
    {
        return JCJSSX;
    }
    public void setJCJSXX(BigDecimal JCJSXX)
    {
        this.JCJSXX = JCJSXX;
    }

    public BigDecimal getJCJSXX()
    {
        return JCJSXX;
    }
    public void setGRZFDKYGSR(BigDecimal GRZFDKYGSR)
    {
        this.GRZFDKYGSR = GRZFDKYGSR;
    }

    public BigDecimal getGRZFDKYGSR()
    {
        return GRZFDKYGSR;
    }
    public void setDKJCYS(Long DKJCYS)
    {
        this.DKJCYS = DKJCYS;
    }

    public Long getDKJCYS()
    {
        return DKJCYS;
    }
    public void setZFTQJCYS(Long ZFTQJCYS)
    {
        this.ZFTQJCYS = ZFTQJCYS;
    }

    public Long getZFTQJCYS()
    {
        return ZFTQJCYS;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DWJCBLSX", getDWJCBLSX())
            .append("DWJCBLXX", getDWJCBLXX())
            .append("GRJCBLSX", getGRJCBLSX())
            .append("GRJCBLXX", getGRJCBLXX())
            .append("YJCESX", getYJCESX())
            .append("YJCEXX", getYJCEXX())
            .append("GRZFDKZCNX", getGRZFDKZCNX())
            .append("GRZFDKZGED", getGRZFDKZGED())
            .append("GRZFDKZGDKBL", getGRZFDKZGDKBL())
            .append("XMDKZCNX", getXMDKZCNX())
            .append("XMDKZGDKBL", getXMDKZGDKBL())
            .append("DJCZGZGDKED", getDJCZGZGDKED())
            .append("ZXBH", getZXBH())
            .append("JCJSSX", getJCJSSX())
            .append("JCJSXX", getJCJSXX())
            .append("GRZFDKYGSR", getGRZFDKYGSR())
            .append("DKJCYS", getDKJCYS())
            .append("ZFTQJCYS", getZFTQJCYS())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
